# PSF-LoginServer - master - net.psforever.objects.vital.environment.EnvironmentReason
PSF - LoginServer - master - net.psforever.objects.vital.environment.EnvironmentReason
Keywords: PSF LoginServer master net.psforever.objects.vital.environment.EnvironmentReason

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package vital
  Definition Classes
    objects
-  package environment
  Definition Classes
    vital
- EnvironmentDamageModifierFunctions
- EnvironmentDamageModifiers
- EnvironmentReason
- LavaDepth

o

net.psforever.objects.vital.environment

# EnvironmentReason 

###
Companion class EnvironmentReason

#### object EnvironmentReason extends Serializable

Source
  EnvironmentReason.scala

Linear Supertypes
Serializable, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. EnvironmentReason
2. Serializable
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def apply(body: PieceOfEnvironment, target: Vitality): EnvironmentReason

   Overloaded constructor.

   Overloaded constructor.

   body

     a representative of an element of the environment

   target

     the target being involved in this interaction

   returns

     an `EnvironmentReason` object

5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  def drm(against: Selector): DamageResistanceModel

   variable, no resisting, quick and simple

8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
10.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
11.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  def selectDamage(environment: PieceOfEnvironment): DamageProperties

    Given an element in the environment, denote the type of flags and values used in the damage resulting from an interaction.

    Given an element in the environment, denote the type of flags and values used in the damage resulting from an interaction.

    environment

      the environmental element, with a specific attribute

    returns

      the damage information flags for that attribute

18.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
19.  def toString(): String
    Definition Classes
      AnyRef → Any
20.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped